All pages
Powered by GitBook
1 of 1

Loading...

Get task logs

get

Get task logs. Defaults to ordering by timestamp descending when no order query is provided. Access: OPS, SVC.

Path parameters
idstringRequired

The task ID.

Responses
200

OK

application/json
offsetinteger · int32Optional
limitinteger · int32Optional
totalinteger · int32 · nullableOptional
omittedstring[]Optional
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
statusstring · enumOptionalPossible values:
codestringOptional

Task code for the workflow, prefixed with the service namespace.

Example: platform.accounts.buyers.transfer
severitystring · enumOptionalPossible values:
messagestringOptionalExample: Applying changes to database and external systems.
timestampstring · date-timeOptionalExample: 2026-02-02T12:15:00+00:00
progressnumber · float · nullableOptionalExample: 90
etastring · date-time · nullableOptionalExample: 2026-02-02T14:30:00+00:00
parametersany · nullableOptionalExample: {"Step":"transfer"}
get/public/v1/system/tasks/{id}/logs
GET /public/v1/system/tasks/{id}/logs HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
200

OK

{
  "$meta": {
    "pagination": {
      "offset": 0,
      "limit": 10,
      "total": 5
    },
    "omitted": [
      "audit"
    ]
  },
  "data": [
    {
      "id": "TLR-5992-0640-3485-0535",
      "revision": 1,
      "task": {
        "id": "TSK-5276-2474-4798-1266",
        "name": "Transferring the buyer to a different account",
        "revision": 1,
        "status": "Completed",
        "code": "accounts.buyers.transfer"
      },
      "severity": "Info",
      "message": "Applying changes to database and external systems.",
      "timestamp": "2025-09-04T09:03:20.103+00:00",
      "progress": 90
    }
  ]
}

Get task logs